Skip to main content
DELETE
/
cart
/
{cartId}
/
item
JavaScript
import HenrySDK from '@henrylabs/sdk';

const client = new HenrySDK({
  apiKey: process.env['HENRY_SDK_API_KEY'], // This is the default and can be omitted
});

const item = await client.cart.item.remove('crt_sa2aEsCz9PRM', {
  link: 'https://www.nike.com/u/custom-nike-ja-3-by-you-10002205',
});

console.log(item.data);
{
  "success": true,
  "status": "<string>",
  "message": "<string>",
  "data": {
    "cartId": "<string>",
    "checkoutUrl": "<string>",
    "data": {
      "items": [
        {
          "link": "https://www.nike.com/u/custom-nike-ja-3-by-you-10002205",
          "quantity": 1,
          "selectedOptions": [
            "regular",
            "black",
            "10-w"
          ],
          "selectedShipping": {
            "value": "standard"
          },
          "coupons": [
            "SUMMER26",
            "SAVE10"
          ],
          "metadata": {
            "creatorSource": "Frank Herbert"
          }
        }
      ],
      "settings": {
        "options": {
          "allowPartialPurchase": true,
          "collectBuyerEmail": "required",
          "collectBuyerAddress": "optional",
          "collectBuyerPhone": "off"
        },
        "commissionFeeFixed": {
          "value": 1.99,
          "currency": "USD"
        },
        "commissionFeePercent": 10,
        "events": [
          {
            "type": "order",
            "data": [
              {
                "type": "<string>",
                "points": 123
              }
            ],
            "conditional": {
              "type": "<string>",
              "operator": "equals",
              "value": "<string>"
            }
          }
        ]
      },
      "tags": {}
    },
    "metadata": {}
  }
}

Authorizations

x-api-key
string
header
required

Path Parameters

cartId
string
required

Unique identifier for the cart

Example:

"crt_sa2aEsCz9PRM"

Query Parameters

Direct product URL

Example:

"https://www.nike.com/u/custom-nike-ja-3-by-you-10002205"

Response

Cart item removed successfully

success
boolean
required
status
string
required
message
string
required
data
object
required